import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { AuthorizeCacheSecurityGroupIngressInput } from "../types/AuthorizeCacheSecurityGroupIngressInput";
import { AuthorizeCacheSecurityGroupIngressOutput } from "../types/AuthorizeCacheSecurityGroupIngressOutput";
import { ElastiCacheResolvedConfiguration } from "../ElastiCacheConfiguration";
export * from "../types/AuthorizeCacheSecurityGroupIngressInput";
export * from "../types/AuthorizeCacheSecurityGroupIngressOutput";
export * from "../types/AuthorizeCacheSecurityGroupIngressExceptionsUnion";
export declare class AuthorizeCacheSecurityGroupIngressCommand implements __aws_sdk_types.Command<InputTypesUnion, AuthorizeCacheSecurityGroupIngressInput, OutputTypesUnion, AuthorizeCacheSecurityGroupIngressOutput, ElastiCacheResolvedConfiguration, Blob> {
    readonly input: AuthorizeCacheSecurityGroupIngressInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<AuthorizeCacheSecurityGroupIngressInput, AuthorizeCacheSecurityGroupIngressOutput, Blob>;
    constructor(input: AuthorizeCacheSecurityGroupIngressInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ElastiCacheResolvedConfiguration): __aws_sdk_types.Handler<AuthorizeCacheSecurityGroupIngressInput, AuthorizeCacheSecurityGroupIngressOutput>;
}
