import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteCacheParameterGroupInput } from "../types/DeleteCacheParameterGroupInput";
import { DeleteCacheParameterGroupOutput } from "../types/DeleteCacheParameterGroupOutput";
import { ElastiCacheResolvedConfiguration } from "../ElastiCacheConfiguration";
export * from "../types/DeleteCacheParameterGroupInput";
export * from "../types/DeleteCacheParameterGroupOutput";
export * from "../types/DeleteCacheParameterGroupExceptionsUnion";
export declare class DeleteCacheParameterGroupCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteCacheParameterGroupInput, OutputTypesUnion, DeleteCacheParameterGroupOutput, ElastiCacheResolvedConfiguration, Blob> {
    readonly input: DeleteCacheParameterGroupInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteCacheParameterGroupInput, DeleteCacheParameterGroupOutput, Blob>;
    constructor(input: DeleteCacheParameterGroupInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ElastiCacheResolvedConfiguration): __aws_sdk_types.Handler<DeleteCacheParameterGroupInput, DeleteCacheParameterGroupOutput>;
}
