import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeCacheEngineVersionsInput } from "../types/DescribeCacheEngineVersionsInput";
import { DescribeCacheEngineVersionsOutput } from "../types/DescribeCacheEngineVersionsOutput";
import { ElastiCacheResolvedConfiguration } from "../ElastiCacheConfiguration";
export * from "../types/DescribeCacheEngineVersionsInput";
export * from "../types/DescribeCacheEngineVersionsOutput";
export * from "../types/DescribeCacheEngineVersionsExceptionsUnion";
export declare class DescribeCacheEngineVersionsCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeCacheEngineVersionsInput, OutputTypesUnion, DescribeCacheEngineVersionsOutput, ElastiCacheResolvedConfiguration, Blob> {
    readonly input: DescribeCacheEngineVersionsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeCacheEngineVersionsInput, DescribeCacheEngineVersionsOutput, Blob>;
    constructor(input: DescribeCacheEngineVersionsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ElastiCacheResolvedConfiguration): __aws_sdk_types.Handler<DescribeCacheEngineVersionsInput, DescribeCacheEngineVersionsOutput>;
}
