import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeReservedCacheNodesInput } from "../types/DescribeReservedCacheNodesInput";
import { DescribeReservedCacheNodesOutput } from "../types/DescribeReservedCacheNodesOutput";
import { ElastiCacheResolvedConfiguration } from "../ElastiCacheConfiguration";
export * from "../types/DescribeReservedCacheNodesInput";
export * from "../types/DescribeReservedCacheNodesOutput";
export * from "../types/DescribeReservedCacheNodesExceptionsUnion";
export declare class DescribeReservedCacheNodesCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeReservedCacheNodesInput, OutputTypesUnion, DescribeReservedCacheNodesOutput, ElastiCacheResolvedConfiguration, Blob> {
    readonly input: DescribeReservedCacheNodesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeReservedCacheNodesInput, DescribeReservedCacheNodesOutput, Blob>;
    constructor(input: DescribeReservedCacheNodesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ElastiCacheResolvedConfiguration): __aws_sdk_types.Handler<DescribeReservedCacheNodesInput, DescribeReservedCacheNodesOutput>;
}
