"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeReservedCacheNodesOfferings_1 = require("../model/operations/DescribeReservedCacheNodesOfferings");
var DescribeReservedCacheNodesOfferingsCommand = /** @class */ (function () {
    function DescribeReservedCacheNodesOfferingsCommand(input) {
        this.input = input;
        this.model = DescribeReservedCacheNodesOfferings_1.DescribeReservedCacheNodesOfferings;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeReservedCacheNodesOfferingsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeReservedCacheNodesOfferingsCommand;
}());
exports.DescribeReservedCacheNodesOfferingsCommand = DescribeReservedCacheNodesOfferingsCommand;
//# sourceMappingURL=DescribeReservedCacheNodesOfferingsCommand.js.map