"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeUpdateActions_1 = require("../model/operations/DescribeUpdateActions");
var DescribeUpdateActionsCommand = /** @class */ (function () {
    function DescribeUpdateActionsCommand(input) {
        this.input = input;
        this.model = DescribeUpdateActions_1.DescribeUpdateActions;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeUpdateActionsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeUpdateActionsCommand;
}());
exports.DescribeUpdateActionsCommand = DescribeUpdateActionsCommand;
//# sourceMappingURL=DescribeUpdateActionsCommand.js.map