import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListAllowedNodeTypeModificationsInput } from "../types/ListAllowedNodeTypeModificationsInput";
import { ListAllowedNodeTypeModificationsOutput } from "../types/ListAllowedNodeTypeModificationsOutput";
import { ElastiCacheResolvedConfiguration } from "../ElastiCacheConfiguration";
export * from "../types/ListAllowedNodeTypeModificationsInput";
export * from "../types/ListAllowedNodeTypeModificationsOutput";
export * from "../types/ListAllowedNodeTypeModificationsExceptionsUnion";
export declare class ListAllowedNodeTypeModificationsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListAllowedNodeTypeModificationsInput, OutputTypesUnion, ListAllowedNodeTypeModificationsOutput, ElastiCacheResolvedConfiguration, Blob> {
    readonly input: ListAllowedNodeTypeModificationsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListAllowedNodeTypeModificationsInput, ListAllowedNodeTypeModificationsOutput, Blob>;
    constructor(input: ListAllowedNodeTypeModificationsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ElastiCacheResolvedConfiguration): __aws_sdk_types.Handler<ListAllowedNodeTypeModificationsInput, ListAllowedNodeTypeModificationsOutput>;
}
