"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ModifyReplicationGroup_1 = require("../model/operations/ModifyReplicationGroup");
var ModifyReplicationGroupCommand = /** @class */ (function () {
    function ModifyReplicationGroupCommand(input) {
        this.input = input;
        this.model = ModifyReplicationGroup_1.ModifyReplicationGroup;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ModifyReplicationGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ModifyReplicationGroupCommand;
}());
exports.ModifyReplicationGroupCommand = ModifyReplicationGroupCommand;
//# sourceMappingURL=ModifyReplicationGroupCommand.js.map