"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var BatchStopUpdateAction_1 = require("../model/operations/BatchStopUpdateAction");
var BatchStopUpdateActionCommand = /** @class */ (function () {
    function BatchStopUpdateActionCommand(input) {
        this.input = input;
        this.model = BatchStopUpdateAction_1.BatchStopUpdateAction;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    BatchStopUpdateActionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return BatchStopUpdateActionCommand;
}());
exports.BatchStopUpdateActionCommand = BatchStopUpdateActionCommand;
//# sourceMappingURL=BatchStopUpdateActionCommand.js.map