"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateCacheParameterGroup_1 = require("../model/operations/CreateCacheParameterGroup");
var CreateCacheParameterGroupCommand = /** @class */ (function () {
    function CreateCacheParameterGroupCommand(input) {
        this.input = input;
        this.model = CreateCacheParameterGroup_1.CreateCacheParameterGroup;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateCacheParameterGroupCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateCacheParameterGroupCommand;
}());
exports.CreateCacheParameterGroupCommand = CreateCacheParameterGroupCommand;
//# sourceMappingURL=CreateCacheParameterGroupCommand.js.map