"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeReservedCacheNodesInput_1 = require("../shapes/DescribeReservedCacheNodesInput");
var DescribeReservedCacheNodesOutput_1 = require("../shapes/DescribeReservedCacheNodesOutput");
var ReservedCacheNodeNotFoundFault_1 = require("../shapes/ReservedCacheNodeNotFoundFault");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var InvalidParameterCombinationException_1 = require("../shapes/InvalidParameterCombinationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeReservedCacheNodes = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeReservedCacheNodes",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeReservedCacheNodesInput_1.DescribeReservedCacheNodesInput
    },
    output: {
        shape: DescribeReservedCacheNodesOutput_1.DescribeReservedCacheNodesOutput,
        resultWrapper: "DescribeReservedCacheNodesResult"
    },
    errors: [
        {
            shape: ReservedCacheNodeNotFoundFault_1.ReservedCacheNodeNotFoundFault
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        },
        {
            shape: InvalidParameterCombinationException_1.InvalidParameterCombinationException
        }
    ]
};
//# sourceMappingURL=DescribeReservedCacheNodes.js.map