"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListAllowedNodeTypeModificationsInput_1 = require("../shapes/ListAllowedNodeTypeModificationsInput");
var ListAllowedNodeTypeModificationsOutput_1 = require("../shapes/ListAllowedNodeTypeModificationsOutput");
var CacheClusterNotFoundFault_1 = require("../shapes/CacheClusterNotFoundFault");
var ReplicationGroupNotFoundFault_1 = require("../shapes/ReplicationGroupNotFoundFault");
var InvalidParameterCombinationException_1 = require("../shapes/InvalidParameterCombinationException");
var InvalidParameterValueException_1 = require("../shapes/InvalidParameterValueException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListAllowedNodeTypeModifications = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListAllowedNodeTypeModifications",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListAllowedNodeTypeModificationsInput_1.ListAllowedNodeTypeModificationsInput
    },
    output: {
        shape: ListAllowedNodeTypeModificationsOutput_1.ListAllowedNodeTypeModificationsOutput,
        resultWrapper: "ListAllowedNodeTypeModificationsResult"
    },
    errors: [
        {
            shape: CacheClusterNotFoundFault_1.CacheClusterNotFoundFault
        },
        {
            shape: ReplicationGroupNotFoundFault_1.ReplicationGroupNotFoundFault
        },
        {
            shape: InvalidParameterCombinationException_1.InvalidParameterCombinationException
        },
        {
            shape: InvalidParameterValueException_1.InvalidParameterValueException
        }
    ]
};
//# sourceMappingURL=ListAllowedNodeTypeModifications.js.map