"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _CacheSecurityGroupNameList_1 = require("./_CacheSecurityGroupNameList");
var _SecurityGroupIdsList_1 = require("./_SecurityGroupIdsList");
exports.ModifyReplicationGroupInput = {
    type: "structure",
    required: ["ReplicationGroupId"],
    members: {
        ReplicationGroupId: {
            shape: {
                type: "string"
            }
        },
        ReplicationGroupDescription: {
            shape: {
                type: "string"
            }
        },
        PrimaryClusterId: {
            shape: {
                type: "string"
            }
        },
        SnapshottingClusterId: {
            shape: {
                type: "string"
            }
        },
        AutomaticFailoverEnabled: {
            shape: {
                type: "boolean"
            }
        },
        CacheSecurityGroupNames: {
            shape: _CacheSecurityGroupNameList_1._CacheSecurityGroupNameList
        },
        SecurityGroupIds: {
            shape: _SecurityGroupIdsList_1._SecurityGroupIdsList
        },
        PreferredMaintenanceWindow: {
            shape: {
                type: "string"
            }
        },
        NotificationTopicArn: {
            shape: {
                type: "string"
            }
        },
        CacheParameterGroupName: {
            shape: {
                type: "string"
            }
        },
        NotificationTopicStatus: {
            shape: {
                type: "string"
            }
        },
        ApplyImmediately: {
            shape: {
                type: "boolean"
            }
        },
        EngineVersion: {
            shape: {
                type: "string"
            }
        },
        AutoMinorVersionUpgrade: {
            shape: {
                type: "boolean"
            }
        },
        SnapshotRetentionLimit: {
            shape: {
                type: "integer"
            }
        },
        SnapshotWindow: {
            shape: {
                type: "string"
            }
        },
        CacheNodeType: {
            shape: {
                type: "string"
            }
        },
        NodeGroupId: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=ModifyReplicationGroupInput.js.map