"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ReshardingConfigurationList_1 = require("./_ReshardingConfigurationList");
var _NodeGroupsToRemoveList_1 = require("./_NodeGroupsToRemoveList");
var _NodeGroupsToRetainList_1 = require("./_NodeGroupsToRetainList");
exports.ModifyReplicationGroupShardConfigurationInput = {
    type: "structure",
    required: ["ReplicationGroupId", "NodeGroupCount", "ApplyImmediately"],
    members: {
        ReplicationGroupId: {
            shape: {
                type: "string"
            }
        },
        NodeGroupCount: {
            shape: {
                type: "integer"
            }
        },
        ApplyImmediately: {
            shape: {
                type: "boolean"
            }
        },
        ReshardingConfiguration: {
            shape: _ReshardingConfigurationList_1._ReshardingConfigurationList
        },
        NodeGroupsToRemove: {
            shape: _NodeGroupsToRemoveList_1._NodeGroupsToRemoveList
        },
        NodeGroupsToRetain: {
            shape: _NodeGroupsToRetainList_1._NodeGroupsToRetainList
        }
    }
};
//# sourceMappingURL=ModifyReplicationGroupShardConfigurationInput.js.map