"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _AvailabilityZonesList_1 = require("./_AvailabilityZonesList");
exports._NodeGroupConfiguration = {
    type: "structure",
    required: [],
    members: {
        NodeGroupId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        Slots: {
            shape: {
                type: "string"
            }
        },
        ReplicaCount: {
            shape: {
                type: "integer"
            }
        },
        PrimaryAvailabilityZone: {
            shape: {
                type: "string"
            }
        },
        ReplicaAvailabilityZones: {
            shape: _AvailabilityZonesList_1._AvailabilityZonesList
        }
    }
};
//# sourceMappingURL=_NodeGroupConfiguration.js.map