import { AddTagsToResourceOutput } from "./AddTagsToResourceOutput";
import { AuthorizeCacheSecurityGroupIngressOutput } from "./AuthorizeCacheSecurityGroupIngressOutput";
import { BatchApplyUpdateActionOutput } from "./BatchApplyUpdateActionOutput";
import { BatchStopUpdateActionOutput } from "./BatchStopUpdateActionOutput";
import { CopySnapshotOutput } from "./CopySnapshotOutput";
import { CreateCacheClusterOutput } from "./CreateCacheClusterOutput";
import { CreateCacheParameterGroupOutput } from "./CreateCacheParameterGroupOutput";
import { CreateCacheSecurityGroupOutput } from "./CreateCacheSecurityGroupOutput";
import { CreateCacheSubnetGroupOutput } from "./CreateCacheSubnetGroupOutput";
import { CreateReplicationGroupOutput } from "./CreateReplicationGroupOutput";
import { CreateSnapshotOutput } from "./CreateSnapshotOutput";
import { DecreaseReplicaCountOutput } from "./DecreaseReplicaCountOutput";
import { DeleteCacheClusterOutput } from "./DeleteCacheClusterOutput";
import { DeleteCacheParameterGroupOutput } from "./DeleteCacheParameterGroupOutput";
import { DeleteCacheSecurityGroupOutput } from "./DeleteCacheSecurityGroupOutput";
import { DeleteCacheSubnetGroupOutput } from "./DeleteCacheSubnetGroupOutput";
import { DeleteReplicationGroupOutput } from "./DeleteReplicationGroupOutput";
import { DeleteSnapshotOutput } from "./DeleteSnapshotOutput";
import { DescribeCacheClustersOutput } from "./DescribeCacheClustersOutput";
import { DescribeCacheEngineVersionsOutput } from "./DescribeCacheEngineVersionsOutput";
import { DescribeCacheParameterGroupsOutput } from "./DescribeCacheParameterGroupsOutput";
import { DescribeCacheParametersOutput } from "./DescribeCacheParametersOutput";
import { DescribeCacheSecurityGroupsOutput } from "./DescribeCacheSecurityGroupsOutput";
import { DescribeCacheSubnetGroupsOutput } from "./DescribeCacheSubnetGroupsOutput";
import { DescribeEngineDefaultParametersOutput } from "./DescribeEngineDefaultParametersOutput";
import { DescribeEventsOutput } from "./DescribeEventsOutput";
import { DescribeReplicationGroupsOutput } from "./DescribeReplicationGroupsOutput";
import { DescribeReservedCacheNodesOutput } from "./DescribeReservedCacheNodesOutput";
import { DescribeReservedCacheNodesOfferingsOutput } from "./DescribeReservedCacheNodesOfferingsOutput";
import { DescribeServiceUpdatesOutput } from "./DescribeServiceUpdatesOutput";
import { DescribeSnapshotsOutput } from "./DescribeSnapshotsOutput";
import { DescribeUpdateActionsOutput } from "./DescribeUpdateActionsOutput";
import { IncreaseReplicaCountOutput } from "./IncreaseReplicaCountOutput";
import { ListAllowedNodeTypeModificationsOutput } from "./ListAllowedNodeTypeModificationsOutput";
import { ListTagsForResourceOutput } from "./ListTagsForResourceOutput";
import { ModifyCacheClusterOutput } from "./ModifyCacheClusterOutput";
import { ModifyCacheParameterGroupOutput } from "./ModifyCacheParameterGroupOutput";
import { ModifyCacheSubnetGroupOutput } from "./ModifyCacheSubnetGroupOutput";
import { ModifyReplicationGroupOutput } from "./ModifyReplicationGroupOutput";
import { ModifyReplicationGroupShardConfigurationOutput } from "./ModifyReplicationGroupShardConfigurationOutput";
import { PurchaseReservedCacheNodesOfferingOutput } from "./PurchaseReservedCacheNodesOfferingOutput";
import { RebootCacheClusterOutput } from "./RebootCacheClusterOutput";
import { RemoveTagsFromResourceOutput } from "./RemoveTagsFromResourceOutput";
import { ResetCacheParameterGroupOutput } from "./ResetCacheParameterGroupOutput";
import { RevokeCacheSecurityGroupIngressOutput } from "./RevokeCacheSecurityGroupIngressOutput";
import { TestFailoverOutput } from "./TestFailoverOutput";
export declare type OutputTypesUnion = AddTagsToResourceOutput | AuthorizeCacheSecurityGroupIngressOutput | BatchApplyUpdateActionOutput | BatchStopUpdateActionOutput | CopySnapshotOutput | CreateCacheClusterOutput | CreateCacheParameterGroupOutput | CreateCacheSecurityGroupOutput | CreateCacheSubnetGroupOutput | CreateReplicationGroupOutput | CreateSnapshotOutput | DecreaseReplicaCountOutput | DeleteCacheClusterOutput | DeleteCacheParameterGroupOutput | DeleteCacheSecurityGroupOutput | DeleteCacheSubnetGroupOutput | DeleteReplicationGroupOutput | DeleteSnapshotOutput | DescribeCacheClustersOutput | DescribeCacheEngineVersionsOutput | DescribeCacheParameterGroupsOutput | DescribeCacheParametersOutput | DescribeCacheSecurityGroupsOutput | DescribeCacheSubnetGroupsOutput | DescribeEngineDefaultParametersOutput | DescribeEventsOutput | DescribeReplicationGroupsOutput | DescribeReservedCacheNodesOutput | DescribeReservedCacheNodesOfferingsOutput | DescribeServiceUpdatesOutput | DescribeSnapshotsOutput | DescribeUpdateActionsOutput | IncreaseReplicaCountOutput | ListAllowedNodeTypeModificationsOutput | ListTagsForResourceOutput | ModifyCacheClusterOutput | ModifyCacheParameterGroupOutput | ModifyCacheSubnetGroupOutput | ModifyReplicationGroupOutput | ModifyReplicationGroupShardConfigurationOutput | PurchaseReservedCacheNodesOfferingOutput | RebootCacheClusterOutput | RemoveTagsFromResourceOutput | ResetCacheParameterGroupOutput | RevokeCacheSecurityGroupIngressOutput | TestFailoverOutput;
